Page MenuHomePhabricator

MachineVision/Vue: remove self-closing component tags to ensure compatibility with ResourceLoader
Closed, ResolvedPublic

Description

Due to the work on https://phabricator.wikimedia.org/T253334, the way that ResourceLoader processes single-file Vue components is about to change. Per @Catrope, this change will allow .vue files to use :foo and @bar short-hand properties, but self-closing component tags like <App /> will no longer be allowed.

The code in MachineVision's front-end will need to be migrated and linter rules updated to reflect the new parsing process.

Event Timeline

egardner created this task.Jun 15 2020, 8:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2020, 8:43 PM

Change 606378 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/MachineVision@master] Ban self-closing tags in Vue files

https://gerrit.wikimedia.org/r/606378

Change 606553 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/MachineVision@master] eslint: Require shorthand syntax for v-bind/v-on/v-slot

https://gerrit.wikimedia.org/r/606553

Change 606378 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] eslint: Ban self-closing tags in Vue files

https://gerrit.wikimedia.org/r/606378

Change 606553 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] eslint: Use shorthand syntax for v-bind/v-on/v-slot

https://gerrit.wikimedia.org/r/606553

Ramsey-WMF added a subscriber: Ramsey-WMF.EditedJun 26 2020, 6:42 PM

How do we test this on beta? 🤔

As long as the UI continues to work after the change, everything is a-ok! Any noticeable change for the user indicates a bug.

Notes for Elena 👇🏼

As long as the UI continues to work after the change, everything is a-ok! Any noticeable change for the user indicates a bug.

Etonkovidova closed this task as Resolved.Jul 16 2020, 12:11 AM

Checked in production (wmf.40/41) - no UI issues were found.